:REGISTER_VARIABLE is only supported in Agents with Version 11.2 or higher

Document ID : KB000087831
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
Error Message :
N/A

The Command :REGISTER_VARIABLE will fail if the Agent it is processed on is on a lower Automation Engine (AE) version than 11.2, it will work without problems on an agent 11.2 (or probably higher) but the command is ignored if the Agent is on a lower Version.

There is no error message displayed, but the command is not processed.

It is not described in the Documentation, as a pre-information it is described as known error.
Cause:
Cause type:
By design
Root Cause: The behavior itself is by design, older Agents do not have the function :REGISTER_VARIABLE to handle this command, but it is not described in documentation.
Resolution:
Update to a fix version listed below or a newer version if available.

Fix Status: Released

Fix Version(s):
Automation Engine 12 - Available
Automation Engine 11.2.2 - Available
Additional Information:
Workaround :
N/A